package itz;

/** Esta clase es un ejemplo de la clase Timer del paquete Swing. */
import javax.swing.*;
import javax.swing.Timer;
import java.awt.event.*;
public class TimerEjemplo extends JFrame implements ActionListener{

	private int dateDelay = 5; // la fecha se actualiza cada 5 segundos
	private int hourDelay = 1; // la hora se actualiza cada segundo.

	Timer t_Date;
	Timer t_Hour;

	/** Constructor de la clase */
	public TimerEjemplo(){
		this.initTimers(); // inicializar timers...
		this.startTimers(); // arranca los timers...
	}

	/** Este mtodo inicializa los timers */
	public void initTimers(){
		this.t_Date = new Timer(this.dateDelay,this);
		this.t_Hour = new Timer(this.hourDelay,this);
	} 

	/** Este mtodo arranca los timers */
	public void startTimers(){
		// despus de llamar a los mtodos start de cada objeto Timer
		// se harn llamadas peridicas al mtodo actionPerformed.
		// t_Date enviar un evento cada dateDelay segundos y
		// t_Hour enviar un evento cada hourDelay segundos.
		this.t_Date.start();
		this.t_Hour.start();
	}


	/** El manejador de eventos de esta clase */
	public void actionPerformed(ActionEvent e){
		Object o = e.getSource();
		if(o instanceof Timer){
			if(o == this.t_Date){
				this.dateTask();
			}
			else if(o == this.t_Hour){
				this.hourTask();
			}
		}
	}

	/** La accin de la fecha */
	public void dateTask(){
		System.out.println("Ejecutando Fecha");
	}

	/** La accin de la hora */
	public void hourTask(){
		System.out.println("Ejecutando Hora");
	}

	public static void main(String args[]){
		new TimerEjemplo();
	}
}

